package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.ProjectAccount;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProjectAccountMapper {

    /**
     * 插入项目虚拟户表数据
     * @param projectAccount
     * @return
     */
    int insertProjectAccount(ProjectAccount projectAccount);

    /**
     * 通过yszjjg-aregid查询
     * @param aregid
     * @return
     */
    ProjectAccount selectByAregid(Integer aregid);


    int updateKeepAmount(Long id);

    int updateTrusteeshipInTransit(Long id);

    int updateSuperviseInTransit(Long id);

    List<ProjectAccount> selectByAccount(Long projectId);
}
